package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;

import com.ekexiu.portal.po.OrgRetrieve;

@DAO
public abstract class OrgRetrieveDao {
	@Insert
	public abstract int insert(Connection con,OrgRetrieve orgRetrieve)throws SQLException;
	
	@SelectOne
	@Nullable
	public abstract OrgRetrieve queryOne(Connection con,String id)throws SQLException;
	
	@SelectList
	public abstract List<OrgRetrieve> query(Connection con)throws SQLException;
}
