package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;
import com.ekexiu.portal.basepo.ModifyTimeSupported;
import com.ekexiu.portal.pojo.EditProfessor;

@Table
@PrimaryKey("articleId")
public class Article implements CreateTimeSupported, ModifyTimeSupported {
	private String articleId;
	private String professorId;
	private String articleTitle;
	private String articleContent;
	private String subject;
	private String industry;
	private String createTime;
	private String modifyTime;
	private String articleImg;
	private EditProfessor professor;
	
	@Column(DE.id_32)
	public String getArticleId() {
		return articleId;
	}
	public void setArticleId(String articleId) {
		this.articleId = articleId;
	}
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	@Column(value=DE.string_de,dbType="TEXT")
	public String getArticleTitle() {
		return articleTitle;
	}
	public void setArticleTitle(String articleTitle) {
		this.articleTitle = articleTitle;
	}
	@Column(value=DE.String_de,dbType="TEXT")
	public String getArticleContent() {
		return articleContent;
	}
	public void setArticleContent(String articleContent) {
		this.articleContent = articleContent;
	}
	@Column(value=DE.String_de,dbType="TEXT")
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	@Column(value=DE.String_de,dbType="TEXT")
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	@Column(DE.String_de)
	public String getArticleImg() {
		return articleImg;
	}
	public void setArticleImg(String articleImg) {
		this.articleImg = articleImg;
	}
	public EditProfessor getProfessor() {
		return professor;
	}
	public void setProfessor(EditProfessor professor) {
		this.professor = professor;
	}

}
